#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptonite-conduit
version:              0.2.2
visibility:           public
id:                   cryptonite-conduit-0.2.2-51XiREglxr9811MqtMEBMj
key:                  cryptonite-conduit-0.2.2-51XiREglxr9811MqtMEBMj
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           vincent@snarc.org
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/haskell-crypto/cryptonite-conduit
synopsis:             cryptonite conduit
description:
    Conduit bridge for cryptonite

    For now only provide a conduit version for hash and hmac, but
    with contribution, this could provide cipher conduits too,
    and probably other things.

category:             Cryptography, Conduit
abi:                  336f2b52960fb9818e8f63a54fe6295c
exposed:              True
exposed-modules:
    Crypto.Cipher.ChaChaPoly1305.Conduit Crypto.Hash.Conduit
    Crypto.MAC.HMAC.Conduit Crypto.PubKey.ECIES.Conduit

import-dirs:          /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-cryptonite-conduit
hs-libraries:         HScryptonite-conduit-0.2.2-51XiREglxr9811MqtMEBMj
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    conduit-1.3.4.3-BYoC2gAGH4lB94e5WefhAW
    conduit-extra-1.3.6-LpWbXDhm4xl2nM9Rsrd7I8
    cryptonite-0.30-GkEuHpgNoKGAeun61nywqJ exceptions-0.10.4
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    resourcet-1.2.6-J4IyjqKn8UxCBQXdNMzRu3 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cryptonite-conduit/html/cryptonite-conduit.haddock

haddock-html:         /usr/share/doc/haskell-cryptonite-conduit/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

